upgrade:
  reporter: joshlambert
  description: |
    - For users of the [GitLab helm chart](https://docs.gitlab.com/charts/), a new secret has been added to support [encrypted credentials](https://docs.gitlab.com/ee/administration/encrypted_configuration.html). If you have disabled the [shared-secrets chart](https://docs.gitlab.com/charts/charts/shared-secrets/), you will need to [manually create this secret](https://docs.gitlab.com/charts/installation/secrets.html#gitlab-rails-secret) by GitLab 14.0, when it will become required.
    - GitLab Helm chart deployments that use the embedded NGINX ingress might experience a brief outage during upgrade, as we have pulled a significant upgrade from upstream, and the underlying pods will be restarted.
